<?php if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();}
	$logs = new CSystemLog();
	
	$page = 1;
	if (isset($_GET['page']) && $_GET['page'] > 0)
		$page = intval($_GET['page']);
	$log_count = $logs->LogCount();
	$list_start = ($page-1) * intval($GLOBALS['config']['banlist.bansperpage']);
	$list_end = $list_start + intval($GLOBALS['config']['banlist.bansperpage']);
	
	$log = $logs->getAll($list_start, intval($GLOBALS['config']['banlist.bansperpage']));
	if(($page > 1))
		$prev = CreateLinkR('<img border="0" alt="prev" src="images/left.gif" style="vertical-align:middle;" /> prev',"index.php?p=admin&c=settings&page=" .($page-1)."#^1");
	else 
		$prev = "";
		
	if($list_end < $log_count)
		$next = CreateLinkR('next <img border="0" alt="prev" src="images/right.gif" style="vertical-align:middle;" />',"index.php?p=admin&c=settings&page=" .($page+1)."#^1");
	else 
		$next = "";
		
	$log_list = array();
	foreach($log as $l)
	{
		$log_item = array();
		if($l['type'] == "m")
			$log_item['type_img'] = "<img src='/images/admin/help.png' alt='Info'>"; 
		elseif($l['type'] == "w")
			$log_item['type_img'] = "<img src='/images/admin/warning.png' alt='Warning'>"; 
		elseif($l['type'] == "e")
			$log_item['type_img'] = "<img src='/images/admin/error.png' alt='Warning'>"; 

		$log_item['date_str'] = strftime("%d %B %y - %H:%M", $l['created']);
		$log_item = array_merge($l, $log_item);	
		array_push($log_list, $log_item);
	}
	
?>
<div id="admin-page-content">

<div id="0" style="display:none;">
<?php if(!check_flags( $_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_WEB_SETTINGS))
{
	echo "Access Denied!";
}else{?>

<?php if(isset($_POST['send']))
{
	$errors = "";
	if(!is_numeric($_POST['config_password_minlength']))
		$errors .= "Min password length must be a number<br />";
	if(!is_numeric($_POST['banlist_bansperpage']))
		$errors .= "Bans per page must be a number";

	if(empty($errors))
	{
		if($_POST['enable_submit'] == "on")
			$submit = 1;
		else 
			$submit = 0;
		if($_POST['enable_protest'] == "on")
			$protest = 1;
		else 
			$protest = 0;
		$edit = $GLOBALS['db']->Execute("REPLACE INTO ".DB_PREFIX."_settings (`value`, `setting`) VALUES
										('" . $_POST['config_uri'] . "', 'config.uri'),
										('" . $_POST['template_logo'] . "','template.logo'),
										(" . $_POST['config_password_minlength'] . ", 'config.password.minlength'),
										('" . $_POST['dash_intro_title'] . "', 'dash.intro.title'),
										(" . $_POST['banlist_bansperpage'] . ", 'banlist.bansperpage'),
										('" . $_POST['dash_intro_text'] . "', 'dash.intro.text'),
										('" . $protest . "', 'config.enableprotest'),
										('" . $submit . "', 'config.enablesubmit'),
										(" . $_POST['default_page'] . ", 'config.defaultpage')");

		?><script>ShowBox('Settings updated', 'The changes have been successfully updated', 'green', '');</script><?php 
	}else{
		CreateRedBox("Error", $errors); 
	}
}
?>
<div id="add-group">
<form action="" method="post">
<table width="99%" border="0" style="border-collapse:collapse;" id="group.details" cellpadding="3">
<tr>
    <td valign="top" colspan="2"><h3>Main Settings</h3>For more information or help regarding a certain subject move your mouse over the question mark.<br /><br /></td>
  </tr>
  <tr>
    <td valign="top" width="27%"><div class="rowdesc"><?php echo HelpIcon("Path to installation", "This is rest of the URL after the domain name.<br />EG:  /sourcebans");?>Path to installation </div></td>
    <td><div align="left">
        <input type="text" TABINDEX=1 style="border: 1px solid #000000; width: 105px; font-size: 14px; background-color: rgb(215, 215, 215);width: 200px;" id="config_uri" name="config_uri" value="<?php echo $GLOBALS['config']['config.uri']?>" />
      </div>
       </td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Path to logo", "Here you can define a new location for the logo, so you can use your own image.");?>Path to logo </div></td>
    <td><div align="left">
      <input type="text" TABINDEX=2 style="border: 1px solid #000000; width: 105px; font-size: 14px; background-color: rgb(215, 215, 215);width: 200px;" id="template_logo" name="template_logo" value="<?php echo $GLOBALS['config']['template.logo']?>" />
    </div></td>
  </tr>
  
   <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Min password length", "Define the shortest length a password can be.");?>Min password length </div></td>
    <td><div align="left">
      <input type="text" TABINDEX=2 style="border: 1px solid #000000; width: 105px; font-size: 14px; background-color: rgb(215, 215, 215);width: 200px;" id="config_password_minlength" name="config_password_minlength" value="<?php echo $GLOBALS['config']['config.password.minlength']?>" />
    </div><div id="minpasslength.msg" style="color:#CC0000;width:195px;display:none;"></div></td>
  </tr>
  <tr>
    <td valign="top" colspan="2"><h3>Dashboard Settings</h3></td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Intro Title", "Set the title for the dashboard introduction");?>Intro Title </div></td>
    <td><div align="left">
      <input type="text" TABINDEX=2 style="border: 1px solid #000000; width: 105px; font-size: 14px; background-color: rgb(215, 215, 215);width: 200px;" id="dash_intro_title" name="dash_intro_title" value="<?php echo $GLOBALS['config']['dash.intro.title']?>" />
    </div><div id="dash.intro.msg" style="color:#CC0000;width:195px;display:none;"></div></td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Intro Text", "Set the text for the dashboard introduction");?>Intro Text </div></td>
    <td><div align="left">  </td>
  </tr>
   <tr>
    <td valign="top" colspan="2"> <textarea class="submit-fields" TABINDEX=4 cols="80" rows="20" id="dash_intro_text" name="dash_intro_text"><?php echo $GLOBALS['config']['dash.intro.text']?></textarea>
      </div><a href="javascript:void(0);" onclick="toggleMCE('dash_intro_text');">Enable/Disable WYSIWYG editor</a><div id="dash.text.msg" style="color:#CC0000;width:195px;display:none;"></div></td>
  </tr>
  <tr>
    <td valign="top" colspan="2"><h3>Page Settings</h3></td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Enable Protest Ban", "Check this box to enable the protest ban page.");?>Enable Protest Ban</div></td>
    <td><div align="left">
      <input type="checkbox" name="enable_protest" id="enable_protest" />
    </div></td>
  </tr>
   <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Enable Submit Ban", "Check this box to enable the submit ban page.");?>Enable Submit Ban</div></td>
    <td><div align="left">
      <input type="checkbox" name="enable_submit" id="enable_submit" />
    </div></td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Default Page", "Choose the page that will be the first page people will see.");?>Default Page</div></td>
    <td><div align="left">
      <select TABINDEX=2 class="inputbox" name="default_page" id="default_page">
        <option value="0">Dashboard</option>
      	<option value="1">Ban List</option>
      	<option value="2">Servers</option>
        <option value="3">Submit a ban</option>
        <option value="4">Protest a ban</option>
      </select>
    </div></td>
    
  </tr>
<tr>
    <td valign="top" colspan="2"><h3>Banlist Settings</h3></td>
  </tr>
  <tr>
    <td valign="top"><div class="rowdesc"><?php echo HelpIcon("Bans per page", "Choose how many bans to show on each page in the banlist.");?>Bans Per Page </div></td>
    <td><div align="left">
      <input type="text" TABINDEX=2 style="border: 1px solid #000000; width: 105px; font-size: 14px; background-color: rgb(215, 215, 215);width: 200px;" id="banlist_bansperpage" name="banlist_bansperpage" value="<?php echo $GLOBALS['config']['banlist.bansperpage']?>" />
    </div><div id="bansperpage.msg" style="color:#CC0000;width:195px;display:none;"></div></td>
  </tr>
<tr>
    <td valign="top" colspan="2">&nbsp;</td>
  </tr> 
  <tr>
    <td>&nbsp;</td>
    <td>
      <input type="submit" TABINDEX=10 onclick="" name="send" class="btn ok" id="button" value="Save" />
      &nbsp; <input type="button" TABINDEX=11 onclick="history.go(-1)" name="button" class="btn cancel" id="button" value="Cancel" />	</td>
  </tr>
</table>
</form>
</div>
<?php  } ?>
</div>

<div id="1" style="display:none;">
<h3 align="left">System Log
<?php
if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER))
	echo "( " . CreateLinkR('Clear Log',"index.php?p=admin&c=settings&clear=true#^1") . ")";
?>	
</h3>
Click on a row to see more details about the event.
<div id="banlist-nav">
<?php
$pages = round($log_count/intval($GLOBALS['config']['banlist.bansperpage']));
	if($pages == 0)
		$pages = 1;
	echo 'Page ' . $page . ' of ' . $pages . " - " . $prev . " | " . $next;

?>
</div>
<br /><br />
<table width="100%" cellspacing="0" cellpadding="0" align="center" class="listtable">
  <tr>
	<td width="5%" height="16" class="listtable_top" align="center"><b>Type</b></td>
	<td width="28%" height="16" class="listtable_top" align="center"><b>Event</b></td>
	<td width="28%" height="16" class="listtable_top" align="center"><b>User</b></td>
	<td width="" height="16" class="listtable_top"><b>Date/Time</b></td>
  </tr>
 <?php 
 foreach($log_list AS $log)
 {?>
 	<tr class="opener" onmouseout="this.style.backgroundColor='#FFF'" onmouseover="this.style.backgroundColor='#eaebeb'">
	    <td height="16" align="center" class="listtable_1"><?php echo $log['type_img'] ?></td>
	    <td height="16" class="listtable_1"><?php echo $log['title'] ?></td>
	    <td height="16" class="listtable_1"><?php echo $log['user'] ?></td>
	    <td height="16" class="listtable_1"><?php echo $log['date_str'] ?></td>
	</tr>
	<tr> 
        <td colspan="7" align="center">
          <div class="opener"> 
			<table width="80%" cellspacing="0" cellpadding="0" class="listtable">
          		<tr>
            		<td height="16" align="left" class="listtable_top" colspan="3">
						<b>Event Details</b>           
					</td>
          		</tr>
          		<tr align="left">
            		<td width="20%" height="16" class="listtable_1">Details</td>
            		<td height="16" class="listtable_1"><?php echo $log['message'] ?></td>
            	</tr>
            	<tr align="left">
            		<td width="20%" height="16" class="listtable_1">Parent Function</td>
            		<td height="16" class="listtable_1"><?php echo $log['function'] ?></td>
            	</tr>
            	<tr align="left">
            		<td width="20%" height="16" class="listtable_1">Query String</td>
            		<td height="16" class="listtable_1"><?php echo $log['query'] ?></td>
            	</tr>
            	<tr align="left">
            		<td width="20%" height="16" class="listtable_1">IP</td>
            		<td height="16" class="listtable_1"><?php echo $log['host'] ?></td>
            	</tr>
            </table>
          </div>
        </td>
     </tr>

 <?php }
 ?>
</table>
<script>
InitAccordion('tr.opener', 'div.opener', 'mainwrapper');
</script>
</div>
</div>

<script>
$('enable_submit').checked = <?php echo $GLOBALS['config']['config.enablesubmit']?>;
$('enable_protest').checked = <?php echo $GLOBALS['config']['config.enableprotest']?>;
$('default_page').value = <?php echo $GLOBALS['config']['config.defaultpage']?>;

</script>
