<?php
	if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();}
	require INCLUDES_PATH.'/CServerInfo.php';
	define('IN_HOME', true);
	$sinfo = new CServerInfo();
	$res = $GLOBALS['db']->Execute("SELECT sid, ip, port FROM ".DB_PREFIX."_servers WHERE sid > 0 ORDER BY sid");
	$servers = array();
	$hostnames = array();
	while (!$res->EOF)
	{
		$info = array();
		$info = $sinfo->getInfo($res->fields[1],$res->fields[2]);
		$hostnames[$res->fields[0]] = $info['hostname'];
		$info['sid'] = $res->fields[0];
		$info['ip'] = $res->fields[1];
		$info['port'] = $res->fields[2];
		$info['srvdetail_link'] = CreateLinkR('<img src="images/maps/'.$info['map'].'.jpg" alt="'.$info['map'].'" width="100" border="0"/>','index.php?p=serverinfo&sh_srv='.$info['sid']);
		$info['hostname_link'] = CreateLinkR($info['hostname'],'index.php?p=serverinfo&sh_srv='.$info['sid']);
		array_push($servers,$info);
		$res->MoveNext();
	}
	
	$res = $GLOBALS['db']->Execute("SELECT count(name) FROM ".DB_PREFIX."_banlog");
	$totalstopped = $res->fields[0];
	
	$res = $GLOBALS['db']->Execute("SELECT bl.name, time, bl.sid, bl.bid, b.authid
									FROM ".DB_PREFIX."_banlog AS bl
									LEFT JOIN ".DB_PREFIX."_bans AS b ON b.bid = bl.bid
									ORDER BY time DESC LIMIT 10");
	$stopped = array();
	while (!$res->EOF)
	{
		$info = array();
		$info['date'] = date('m-d-y H:i',$res->fields[1]);
		$info['name'] = $res->fields[0];
		$info['server'] = $hostnames[$res->fields[2]];
		$info['auth'] = $res->fields['authid'];
 		array_push($stopped,$info);
		$res->MoveNext();
	}
	
	$res = $GLOBALS['db']->Execute("SELECT count(bid) FROM ".DB_PREFIX."_bans");
	$BanCount = $res->fields[0];
	
	$res = $GLOBALS['db']->Execute("SELECT bid, ba.ip, ba.authid, ba.name, created, ends, length, reason, ba.aid, ba.sid, ad.user, CONCAT(se.ip,':',se.port), se.sid, mo.icon
				    				FROM ".DB_PREFIX."_bans AS ba 
				    				LEFT JOIN ".DB_PREFIX."_admins AS ad ON ba.aid = ad.aid
				    				LEFT JOIN ".DB_PREFIX."_servers AS se ON se.sid = ba.sid
				    				LEFT JOIN ".DB_PREFIX."_mods AS mo ON mo.mid = se.modid
				    				ORDER BY created DESC LIMIT 10");
	$bans = array();
	while (!$res->EOF)
	{
		$info = array();
		$info['name'] = $res->fields[3];
		$info['created'] = date('m-d-y H:i',$res->fields['created']);
		$ltemp = explode(",",$res->fields[6] == 0 ? 'Permanent' : SecondsToString(intval($res->fields[6])));
		$info['length'] = $ltemp[0];
		$info['icon'] = empty($res->fields[13]) ? 'web.png' : $res->fields[13];
		$info['authid'] = $res->fields[2];
		
		array_push($bans,$info);
		$res->MoveNext();
	}
		
?>

<div class="front-module-intro">
<table width="100%" cellpadding="1">
<tr>
<td colspan="3">
<table width="100%" cellpadding="0" cellspacing="0" class="front-module-header">
<tr>
<td align="left">
<?php echo $GLOBALS['config']['dash.intro.title']?>
</td>
</tr>
</table>
</td>
</tr>
<tr><td>
<?php echo $GLOBALS['config']['dash.intro.text']?>
</td></tr>
</table>
</div>
<div id="front-servers">
		<?php include("page.servers.php");?>
</div>


<div class="front-module" style="float:right">
<table width="100%" cellpadding="1" class="listtable">
<tr>
<td colspan="3">
<table width="100%" cellpadding="0" cellspacing="0" class="front-module-header">
<tr>
<td align="left">
Latest Players Blocked
</td>
<td align="right">
Total Stopped: 
<?php
	echo $totalstopped;
?>
</td>
</tr>
</table>
</td>
</tr>

<tr>
	<td width="16px" height="16" class="listtable_top">&nbsp;</td>
	<td height="25%" class="listtable_top" align="center"><b>Date/Time</b></td>
	<td height="16" class="listtable_top"><b>Name</b></td>	  
  </tr>
	<?php
		foreach ($stopped as $cur)
		{
			$href = "index.php?p=banlist&searchText=" . $cur['auth'] . "&Submit=";
			$js = "ShowBox('" . $cur['name'] . "', 'This user tried to enter " . $cur['server'] . "<br />At  " . $cur['date'] . "<br /><div align=middle><a href=" . $href . ">Click here for ban details.</a></div>', 'blue', '', true);";
			echo '<tr onclick="' .$js.'" style="cursor:pointer;">
	            <td width="16px" height="16" align="center" class="listtable_1"><img src="images/forbidden.gif" width="16" height="16" alt="Blocked Player" /></td>
	            <td width="25%" height="16" class="listtable_1">'.$cur['date'].'</td>
	            <td height="16" class="listtable_1">'.trunc($cur['name'], 25, false) .'</td>
				</tr>';
		}
	?>
</table>
</div>
<div class="front-module" style="float:left">
<table width="100%" cellpadding="1" class="listtable">
<tr>
<td colspan="4">
<table width="100%" cellpadding="0" cellspacing="0" class="front-module-header">
<tr>
<td align="left">
Latest Added Bans
</td>
<td align="right">
Total bans: 
<?php
	echo $BanCount;
?>
</td>
</tr>
</table>
</td>
</tr>
<tr>
	<td width="16px" height="16" class="listtable_top">MOD</td>
	<td width="24%" class="listtable_top" align="center"><b>Date/Time</b></td>
	<td class="listtable_top" align="center"><b>Name</b></td>
	<td width="20%" class="listtable_top"><b>Length</b></td>	  
 </tr>
	<?php
		
		foreach ($bans as $cur)
		{
			$href = "top.location = 'index.php?p=banlist&searchText=" . $cur['authid'] . "&Submit=';";
			echo '<tr onclick="' .$href.'" style="cursor:pointer;">
	            <td width="16px" class="listtable_1" height="16" align="center"><img src="images/games/' . $cur['icon'] . '" width="16"  alt="MOD" /></td>
	            <td class="listtable_1" height="16">'.$cur['created'].'</td>
	            <td class="listtable_1" height="16">'.$cur['name'].'</td>
	            <td class="listtable_1" height="16">'.$cur['length'].'</td>
				</tr>';
			$res->MoveNext();
		}
	?>
</table>
</div>
