<?php
/**
 * CTabsMenu.php
 * 
 * This class holds all of the stuff to make a 'tab menu' in the admin panel
 * @author SteamFriends Development Team
 * @version 1.0.0
 * @copyright SteamFriends (www.steamfriends.com)
 * @package SourceBans
 * @link http://www.sourcebans.net
 */

class CTabsMenu {
	var $menuItems = array( );
	
	function addMenuItem($title, $description="", $url="", $external=false)
	{
		$curItem = array();
		$curItem['title'] = $title;
		$curItem['desc'] = $description;
		$curItem['url'] = $url;
		$curItem['external'] = $external;
		array_push($this->menuItems, $curItem);
	}
	
	function outputMenu()
	{
		$var = $this->menuItems;
		include TEMPLATES_PATH . "/admin.detail.navbar.php";
	}
	
	function getMenuArray()
	{
		return $this->menuItems;
	}
}

?>