<?php
/**
 * read_country.php
 * 
 * This file will read though the IPcountry csv db, and return the country
 * @author SteamFriends Development Team
 * @version 1.0.0
 * @copyright SteamFriends (www.steamfriends.com)
 * @package SourceBans
 * @link http://www.sourcebans.net
 */
global $addr;
$ip = ip2long($addr);
$handle = fopen(INCLUDES_PATH.'/IpToCountry.csv', "r");

$row = 1;
while (($buffer = fgets($handle, 4096)) !== FALSE) {
  $array[$row] = substr($buffer, 1, strpos($buffer, ",") - 1);
  $row++;
}

$row_lower = '0';
$row_upper = $row;
while (($row_upper - $row_lower) > 1) {
  $row_midpt = (int) (($row_upper + $row_lower) / 2);
  if ($ip >= $array[$row_midpt]) {
    $row_lower = $row_midpt;
  } else {
    $row_upper = $row_midpt;
  }
}

rewind($handle);
$row = 1;
while ($row <= $row_lower) {
  $buffer = fgets($handle, 4096);
  $row++;
}
$buffer = str_replace("\"", "", $buffer);
$ipdata = explode(",", $buffer);

if(empty($ipdata[4]))
	return "zz";
return $ipdata[4];

?>