<?php
/**
 * admin.bans.search.php
 * 
 * This file contains the template for the search box
 * @author SteamFriends Development Team
 * @version 1.0.0
 * @copyright SteamFriends (www.steamfriends.com)
 * @package SourceBans
 * @link http://www.sourcebans.net
 */
require_once INCLUDES_PATH.'/CServerInfo.php';
$sinfo = new CServerInfo();
$admin_list = $GLOBALS['db']->GetAll("SELECT * FROM `" . DB_PREFIX . "_admins`");
$server_list = $GLOBALS['db']->Execute("SELECT sid, ip, port FROM `" . DB_PREFIX . "_servers`");
$servers = array();
while (!$server_list->EOF)
{
	//echo($server_list);
	$info = array();
	$info = $sinfo->getInfo($server_list->fields[1],$server_list->fields[2]);
	$info['sid'] = $server_list->fields[0];
	array_push($servers,$info);
	$server_list->MoveNext();
}

function outputChk($id)
{
	return "$('$id').checked = true";
}
echo '
<div>
<table width="99%" cellpadding="0" class="listtable" cellspacing="0">
<tr>
	<td width="2%" height="16" class="listtable_top" colspan="3"><b>Search<b></td>
  </tr>
          <tr >
            <td class="listtable_1" width="8%" align="center"><input id="name" name="search_type" type="radio" value="name">
            </td>
      
            <td class="listtable_1" width="26%">Nickname</td>
            <td class="listtable_1" width="66%"><input type="text" id="nick" value="" onmouseup="' . outputChk('name') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:250px"></td>
          </tr>
                  
          <tr>
            <td align="center" class="listtable_1" >
              <input id="steam_" type="radio" name="search_type" value="radiobutton">

            </td>
            <td class="listtable_1" >SteamID</td>
            <td class="listtable_1" ><input type="text" id="steamid" value="" onmouseup="' . outputChk('steam_') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:150px"></td>
          </tr>
          
          <tr>

            <td align="center" class="listtable_1" >
              <input id="reason_" type="radio" name="search_type" value="radiobutton">
            </td>
     
            <td class="listtable_1" >Reason</td>
            <td class="listtable_1" ><input type="text" id="ban_reason" value="" onmouseup="' . outputChk('reason_') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:250px"></td>
     
          </tr>

	<tr>
	  <td align="center" class="listtable_1" >
	    <input id="date" type="radio" name="search_type" value="radiobutton">
      </td>

          
            <td class="listtable_1" >Date</td>
            <td class="listtable_1" ><input type="text" id="day" value="DD" onmouseup="' . outputChk('date') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:81px">
            <input type="text" id="month" value="MM" onmouseup="' . outputChk('date') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:81px">
            <input type="text" id="year" value="YY" onmouseup="' . outputChk('date') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:81px"> </td>
   
  </tr>
         
          
                    <tr>
                      <td class="listtable_1"  align="center">
                        <input id="admin" name="search_type" type="radio" value="radiobutton">
                      </td>
            

            <td class="listtable_1" >Admin</td>
            <td class="listtable_1" >

		<select id="ban_admin" onmouseup="' . outputChk('admin') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:250px">
		';
		foreach($admin_list AS $admin)
		{
			echo '<option label="' . $admin['user'] .'" value="' .$admin['aid'] . '">' . $admin['user'] .'</option>';
		}
		echo '			
</select>            </td>
           
          </tr>
                  <tr>
                    <td class="listtable_1"  align="center">

                      <input id="where_banned" name="search_type" type="radio" value="radiobutton">
                    </td>

         
            <td class="listtable_1" >Server</td>
            <td class="listtable_1" >

		<select id="server" onmouseup="' . outputChk('where_banned') . '" style="font-family:verdana, tahoma, arial;font-size:10px;width:250px">
		<option label="Web Ban" value="0">Web Ban</option>';
		foreach($servers AS $server)
		{
			echo '<option label="' . $server['sid'] .'" value="' .$server['sid'] . '">' . $server['hostname'] .'</option>';
		}
		$page = isset($_GET['page'])?$_GET['page']:1;
	?>
		
		</select>            </td>
   
    	</tr>

                  <tr>
                    <td > </td>
                    <td  > </td>
                    <td ><input type="button" onclick="search_bans(<?php echo $page?>,<?php echo $_SESSION['user']['aid']?>);" name="submit2" value="Search"></td>
                  </tr>
</table>
</div>
