<?php  if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();} 
$latest = @file_get_contents("http://www.sourcebans.net/public/versionchecker/latest.txt");
if(version_compare($latest, SB_VERSION) > 0)
	$versmsg = "<span style='color:#aa0000;'><strong>You should update now by clicking <a href='http://www.sourcebans.net'>HERE</a></strong></span>";
else 
	$versmsg = "<span style='color:#00aa00;'><strong>You have the latest SourceBans version.</strong></span>";
	

$counts = $GLOBALS['db']->GetRow("SELECT 
								 (SELECT COUNT(bid) FROM `" . DB_PREFIX . "_banlog`) AS blocks, 
								 (SELECT COUNT(bid) FROM `" . DB_PREFIX . "_bans`) AS bans,
								 (SELECT COUNT(aid) FROM `" . DB_PREFIX . "_admins`) AS admins,
								 (SELECT COUNT(subid) FROM `" . DB_PREFIX . "_submissions`) AS subs,
								 (SELECT COUNT(pid) FROM `" . DB_PREFIX . "_protests`) AS protests,
								 (SELECT COUNT(sid) FROM `" . DB_PREFIX . "_servers`) AS servers");


?>

<h3>Please select an option to administer.</h3>
	<div id="cpanel">
	<ul>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_LIST_ADMINS|ADMIN_ADD_ADMINS|ADMIN_EDIT_ADMINS|ADMIN_DELETE_ADMINS)){?>
		<li>
			<a href="index.php?p=admin&amp;c=admins">
			<img src="images/admin/admins.png" alt="Admin Settings" border="0" /><br />
			Admin Settings
	  		</a>
		</li>
		<?php }?>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_LIST_SERVERS|ADMIN_ADD_SERVER|ADMIN_EDIT_SERVERS|ADMIN_DELETE_SERVERS)){?>
		<li>
			<a href="index.php?p=admin&amp;c=servers">
			<img src="images/admin/servers.png" alt="Server Admin" border="0" /><br />
			Server Settings
	  		</a>
		</li>
		<?php }?>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_ADD_BAN|ADMIN_BAN_LIST|ADMIN_EDIT_OWN_BANS|ADMIN_EDIT_GROUP_BANS|ADMIN_EDIT_ALL_BANS|ADMIN_BAN_PROTESTS|ADMIN_BAN_SUBMISSIONS)){?>
		<li>
			<a href="index.php?p=admin&amp;c=bans">
			<img src="images/admin/bans.png" alt="Edit Bans" border="0" /><br />
			Bans
	  		</a>
		</li>
		<?php }?>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_LIST_GROUPS|ADMIN_ADD_GROUP|ADMIN_EDIT_GROUPS|ADMIN_DELETE_GROUPS )){?>
		<li>
			<a href="index.php?p=admin&amp;c=groups">
			<img src="images/admin/groups.png" alt="Edit Groups" border="0" /><br />
			Group Settings
	  		</a>
		</li>
		<?php }?>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_WEB_SETTINGS )){?>
		<li>
			<a href="index.php?p=admin&amp;c=settings">
			<img src="images/admin/settings.png" alt="SourceBans Settings" border="0" /><br />
			Webpanel Settings
	  		</a> 
		</li>
		<?php }?>
		<?php if(check_flags($_SESSION['user']['aid'], ADMIN_OWNER|ADMIN_LIST_MODS|ADMIN_ADD_MODS|ADMIN_EDIT_MODS|ADMIN_DELETE_MODS )){?>
		<li>
			<a href="index.php?p=admin&amp;c=mods">
			<img src="images/admin/mods.png" alt="Mods" border="0" /><br />
			Manage Mods
	  		</a>
		</li>
		<?php }?>
	</ul>
	</div>	
	<br />
	<table width="100%" border="0" cellpadding="3" cellspacing="0">
	  <tr>
	    <td width="33%" align="center"><h3>Version Information</h3></td>
	    <td width="33%" align="center"><h3>Admin Information</h3></td>
	    <td width="33%" align="center"><h3>Ban information</h3></td>
	  </tr>
	  <tr>
	    <td>Your version: <strong><?php echo SB_VERSION?></strong></td>
	    <td>Total admins: <strong><?php echo $counts['admins']?> </strong></td>
	    <td>Total bans: <strong><?php echo $counts['bans']?> </strong></td>
	  </tr>
	  <tr>
	    <td>Latest release: <strong> <?php echo $latest?></strong></td>
	    <td> <strong> </strong></td>
	    <td>Connection blocks: <strong> <?php echo $counts['blocks']?></strong></td>
	  </tr>
	  <tr>
	    <td><?php echo $versmsg?></td>
	    <td> <strong> </strong></td>
	    <td>&nbsp;</td>
	  </tr>
	  <tr>
	    <td width="33%" align="center"><h3>Server Information</h3></td>
	    <td width="33%" align="center"><h3>Protest Information</h3></td>
	    <td width="33%" align="center"><h3>Submission information</h3></td>
	  </tr>
	   <tr>
	    <td>Total Servers: <strong><?php echo $counts['servers']?></strong></td>
	    <td>Total protests: <strong><?php echo $counts['protests']?> </strong></td>
	    <td>Total Submissions: <strong><?php echo $counts['subs']?> </strong></td>
	  </tr>
	  <tr>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
	  </tr>
	  <tr>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
	  </tr>
	</table>
