<?php
	if($GLOBALS['config']['config.enableprotest']!="1")
	{
		CreateRedBox("Error", "This page is disabled. You should not be here."); 
		PageDie();
	}
	if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();}
	if ($_POST['subprotest'] != 1)
	{
		$SteamID = "";
		$PlayerName = "";
		$UnbanReason = "";
		$Email = "";
	}
	else
	{
		$SteamID = $_POST['SteamID'];
		$PlayerName = $_POST['PlayerName'];
		$UnbanReason = $_POST['BanReason'];
		$Email = $_POST['EmailAddr'];
		$validsubmit = true;
		$errors = "";
		$BanId == -1;
		$res = $GLOBALS['db']->GetRow("SELECT count(aid) AS count FROM ".DB_PREFIX."_admins WHERE authid = '$sid'");
		if($res['count'] > 0)
		{
			$errors .= '* This player is already banned<br>';
			$validsubmit = false;
		}
		if(!validate_steam($SteamID))
		{
			$errors .= '* Please type a valid STEAM ID.<br>';
			$validsubmit = false;
		}
		else
		{
			$pre = $GLOBALS['db']->Prepare("SELECT bid FROM ".DB_PREFIX."_bans WHERE authid=?");
			$res = $GLOBALS['db']->Execute($pre,array($SteamID));
			if ($res->RecordCount() == 0)
			{
				$errors .=  'That Steam ID is not banned!<br>';
				$validsubmit = false;	
			}
			else
			{
				$BanId = $res->fields[0];
				$res = $GLOBALS['db']->Execute("SELECT pid FROM ".DB_PREFIX."_protests WHERE bid=$BanId");
				if ($res->RecordCount() > 0)
				{
					$errors .=  'A protest is already pending for this Steam ID.<br>';
					$validsubmit = false;
				}
			}
		}
		
		if (strlen($PlayerName) == 0)
		{
			$errors .=  'You must include a player name<br>';
			$validsubmit = false;
		}
		if (strlen($UnbanReason) == 0)
		{
			$errors .=  'You must include comments<br>';
			$validsubmit = false;
		}
		if (strlen($Email) < 5)
		{
			$errors .=  'You must include a valid email address<br>';
			$validsubmit = false;
		}
		
		if(!$validsubmit)
			CreateRedBox("Error", $errors); 
		
		if ($validsubmit && $BanId != -1)
		{
			$pre = $GLOBALS['db']->Prepare("INSERT INTO ".DB_PREFIX."_protests(bid,datesubmitted,reason,email) VALUES (?,UNIX_TIMESTAMP(),?,?)");
			$res = $GLOBALS['db']->Execute($pre,array($BanId,$UnbanReason,$Email));
			
			// Send an email when ban was posted
			$headers = 'From: submission@' . $_SERVER['HTTP_HOST'] . "\n" .
		    'X-Mailer: PHP/' . phpversion();
		    
		    $admins = $GLOBALS['user']->GetAllUserDetails();
		    foreach($admins AS $admin)
		    {
		    	$message = "";
				$message .= "Hello " . $admin['user'] . "\n";
				$message .= "A new ban protest has been posted on your SourceBans page.\n
							 Click the link below to view the current ban submissions.\n\n
							 http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . "index.php?p=admin&c=bans#^1";
				
		    	if(($admin['flags'] & ADMIN_BAN_PROTESTS) == ADMIN_BAN_PROTESTS)
		    		mail($admin['email'], "[SourceBans] Ban Protest Added", $message, $headers);
		    }	
			
			CreateGreenBox("Successful", "Your protest has been sent.<br />Protest ID: " . $GLOBALS['db']->Insert_ID()); 
		}
	}
			

?>

<div id="submit-introduction">
<h3>Protest a ban</h3>
Before you proceed make sure you first check our banlist and search it by clicking <?php CreateLink("here","index.php?a=banlist"); ?> if you are listed and for what reason.

If you do find yourself listed on the banlist and find the reason for this to be untrue you can write a protest. 
</div>
<div id="submit-main">
<form action="index.php?p=protest" method="POST"">
<input type="hidden" name="subprotest" value="1">
<table cellspacing='10' width='100%' align='center'>
<tr>
	<td colspan="3">
		Your Details:	</td>
</tr>
<tr>
	<td width="20%">
		Your SteamID<span class="mandatory">*</span>:</td>
	<td>
		<input type="text" name="SteamID" size="40" maxlength="64" value="<?php echo $SteamID?>" class="submit-fields" />	</td>
    <td rowspan="5" align="center" valign="top" width="200px"><img src="images/protest-ban.jpg" alt="Protest Ban" /></td>
</tr>
<tr>
	<td width="20%">
        Name<span class="mandatory">*</span>:</td>
	<td>
        <input type="text" size="40" maxlength="70" name="PlayerName" value="<?php echo $PlayerName?>" class="submit-fields" /></td>
    </tr>
<tr>
	<td width="20%" valign="top">
		Reason why you should be unbanned <span class="mandatory">*</span>: (Be as descriptive as possible) </td>
	<td><textarea name="BanReason" cols="30" rows="5" class="submit-fields"><?php echo $UnbanReason?></textarea></td>
    </tr>
<tr>
	<td width="20%">
		Your Email<span class="mandatory">*</span>:	</td>
	<td>
		<input type="text" size="40" maxlength="70" name="EmailAddr" value="<?php echo $Email?>" class="submit-fields" />	</td>
    </tr>
<tr>
	<td width="20%"><span class="mandatory">*</span> = Mandatory Field</td>
	<td>
		<input type="submit" name='submit' value="Submit" class="faux-button" />	</td>
    <td>&nbsp;</td>
</tr>
</table>
</form>
<b>What happens after you posted your protest?</b><br />
  The admins will get notified of your protest. They will then review if the ban is conclusive. After reviewing you will get a reply, which usally means within 24 hours.<br /><br />
  <b>Note:</b> Sending emails with threats to our admins, scolding or shouting will not get you unbanned and in fact we will delete your protest right away! 
</div>