<?php
	if(!defined("IN_SB")){echo "You should not be here. Only follow links!";die();}
	if($GLOBALS['config']['config.enablesubmit']!="1")
	{
		CreateRedBox("Error", "This page is disabled. You should not be here."); 
		PageDie();
	}
	if ($_POST['subban'] != 1)
	{
		$SteamID = "";
		$PlayerName = "";
		$BanReason = "";
		$Email = "";
		$GameID = "";
	}
	else
	{
		$SteamID = $_POST['SteamID'];
		$PlayerName = $_POST['PlayerName'];
		$BanReason = $_POST['BanReason'];
		$Email = $_POST['EmailAddr'];
		$GameID = $_POST['GameID'];
		$validsubmit = true;
		$errors = "";
		if (strlen($PlayerName) == 0)
		{
			$errors .= '* You must include a player name<br>';
			$validsubmit = false;
		}
		if (strlen($BanReason) == 0)
		{
			$errors .= '* You must include comments<br>';
			$validsubmit = false;
		}
		if (strlen($Email) < 5)
		{
			$errors .= '* You must include a valid email address<br>';
			$validsubmit = false;
		}
		if(!empty($_FILES['demo_file']['name']))
		{
			if((!CheckExt($_FILES['demo_file']['name'], "zip") && !CheckExt($_FILES['demo_file']['name'], "rar")))
			{
				$errors .= '* A demo can only be a zip, or a rar filetype.<br>';
				$validsubmit = false;
			}
		}
		if(!validate_steam($SteamID))
		{
			$errors .= '* Please type a valid STEAM ID.<br>';
			$validsubmit = false;
		}		
		
		if(!$validsubmit)
			CreateRedBox("Error", $errors); 
		
		if ($validsubmit)
		{
			$filename = md5($SteamId.time());
			$demo = move_uploaded_file($_FILES['demo_file']['tmp_name'],SB_DEMOS."/".$filename);
			if($demo || empty($_FILES['demo_file']['name']))
			{
				$pre = $GLOBALS['db']->Prepare("INSERT INTO ".DB_PREFIX."_submissions(submitted,SteamId,name,email,ModID,reason,ip) VALUES (UNIX_TIMESTAMP(),?,?,?,?,?,?)");
				$GLOBALS['db']->Execute($pre,array($SteamID,$PlayerName,$Email,$GameID,$BanReason, $_SERVER['REMOTE_ADDR']));
				$subid = $GLOBALS['db']->Insert_ID();
								
				$GLOBALS['db']->Execute("INSERT INTO ".DB_PREFIX."_demos(demid,demtype,filename,origname) VALUES($subid,'S','$filename', '". $_FILES['demo_file']['name'] ."')");
				
				$SteamID = "";
				$PlayerName = "";
				$BanReason = "";
				$Email = "";
				$GameID = "";
				
				// Send an email when ban was posted		
				$headers = 'From: submission@' . $_SERVER['HTTP_HOST'] . "\n" .
			    'X-Mailer: PHP/' . phpversion();
			    
			    $admins = $GLOBALS['user']->GetAllUserDetails();
			    foreach($admins AS $admin)
			    {
			    	$message = "";
					$message .= "Hello " . $admin['user'] . "\n";
					$message .= "A new ban submission has been posted on your SourceBans page.\n
								 Click the link below to view the current ban submissions.\n\n
								 http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . "index.php?p=admin&c=bans#^2";
			    	if(($admin['flags'] & ADMIN_BAN_SUBMISSIONS) == ADMIN_BAN_SUBMISSIONS)
			    		mail($admin['email'], "[SourceBans] Ban Submission Added", $message, $headers);
			    }	
				CreateGreenBox("Successful", "Your submission (submission id: ".$subid.") has been added into the database, and will be reviewed by one of our admins<br>"); 
			}
			else 
			{
				CreateRedBox("Error", "There was an error uploading your demo to the server. Please try again later"); 
				$log = new CSystemLog("e", "Demo Upload Failed", "A demo failed to upload for a submission from (". $Email . ")");
			}
		}
		
	}		
?>
		
<div id="submit-introduction">
<h3>Submit a player</h3>
Here you will be able to submit a ban for a player who is breaking the rules of the gameserver. When submitting a ban we request you to fill out all the fields to be as descriptive as possible in your comments. This will ensure that your ban submission is processed much faster.<br /><br />
For a short explination on how to create a demo, click <a href="javascript:void(0)" onclick="ShowBox('How To Record A Demo', 'While you are spectating the offending player, press the ` key on your keyboard. Then type record [demoname] and hit enter. Also type sb_status for extra information in SteamBans servers. The file will be in your mod folder.', 'blue', '', true);">here</a>
</div>
<div id="submit-main">
<form action="index.php?p=submit" method="POST" enctype="multipart/form-data">
<input type="hidden" name="subban" value="1">
<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
<table cellspacing='10' width='100%' align='center'>
<tr>
	<td colspan="3">
		Ban Details:	</td>
</tr>
<tr>
	<td width="20%">
		Players SteamID<span class="mandatory">*</span>:</td>
	<td>
		<input type="text" name="SteamID" size="40" maxlength="64" value="<?php echo $SteamID==""?"STEAM_0:":$SteamID?>" class="submit-fields" />
	</td>
    <td rowspan="6" align="center" valign="top" width="200px"><img src="images/nocheat.jpg" alt="No Cheaters!" width="200" height="200" /></td>
</tr>
<tr>
	<td width="20%">
        Players Nick Name<span class="mandatory">*</span>:</td>
	<td>
        <input type="text" size="40" maxlength="70" name="PlayerName" value="<?php echo $PlayerName?>" class="submit-fields" /></td>
    </tr>
<tr>
	<td width="20%" valign="top">
		Comments<span class="mandatory">*</span>:<br />
		(Please write down a descriptive comment. So NO comments like: "hacking")	</td>
	<td><textarea name="BanReason" cols="30" rows="5" class="submit-fields"><?php echo $BanReason?></textarea></td>
    </tr>
<tr>
	<td width="20%">
		Your Email<span class="mandatory">*</span>:	</td>
	<td>
		<input type="text" size="40" maxlength="70" name="EmailAddr" value="<?php echo $Email?>" class="submit-fields" />	</td>
    </tr>
<tr>
	<td width="20%">
		Game<span class="mandatory">*</span>:	</td>
	<td>
		<select name="GameID" style="width:265px;" class="submit-fields">
		<?php
			$res = $GLOBALS['db']->Execute("SELECT mid,name FROM ".DB_PREFIX."_mods WHERE mid > 0 ORDER BY mid ");
			while (!$res->EOF)
			{
				echo '<option value="'.htmlspecialchars($res->fields[0]).'" '.($res->fields[0] == $GameID ? 'selected' : '').'>'.htmlspecialchars($res->fields[1]).'</option>';	
				$res->MoveNext();
			}
		?>
        </select>     </td>
    </tr>
<tr>
	<td width="20%">
		Upload demo:	</td>
	<td>
		<input name="demo_file" type="file" size="25" class="submit-fields" /> 
		Note: Only <a href="http://www.winzip.com" target="_blank">ZIP</a> or <a href="http://www.rarlab.com" target="_blank">RAR</a> allowed.	</td>
    </tr>
<tr>
	<td width="20%"><span class="mandatory">*</span> = Mandatory Field</td>
	<td>
		<input type="submit" name='submit' value="Submit" class="faux-button" />	</td>
    <td>&nbsp;</td>
</tr>
</table>
</form>
<b>What happens if someone gets banned?</b><br />
If someone gets banned, the specific STEAMID will be included in this SourceBans database and everytime this player tries to connect to one of our servers he/she will be blocked and will receive a message that they are blocked by SourceBans. 
</div>
